Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::TLS_Exception Class Reference

`#include <tls_exceptn.h>`

Inheritance diagram for Botan::TLS::TLS_Exception:

## Public Member Functions
| TLS_Exception (Alert::Type type, const std::string &err_msg="Unknown error")
Alert::Type | type () const
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

Exception Base Class

Definition at line 21 of file tls_exceptn.h.

## Constructor & Destructor Documentation

Botan::TLS::TLS_Exception::TLS_Exception | ( | Alert::Type | type,
|  | const std::string & | err_msg = `"Unknown error"`
| ) |  |
| inline

Definition at line 26 of file tls_exceptn.h.

27 :
28 Exception(err_msg), m_alert_type(type) {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.h:24
Botan::TLS::TLS_Exception::type
Alert::Type type() const
Definition: tls_exceptn.h:24

## Member Function Documentation

Alert::Type Botan::TLS::TLS_Exception::type | ( |  | ) | const
| inline

Definition at line 24 of file tls_exceptn.h.

Referenced by Botan::TLS::Channel::received_data().

24 { return m_alert_type; }

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this class was generated from the following file:

- src/lib/tls/tls_exceptn.h